## golang-github-shenwei356-bpool 0.0~git20160710.f9e0ee4

=== debian/changelog ===
golang-github-shenwei356-bpool (0.0~git20160710.f9e0ee4-2) unstable; urgency=medium

  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 25 Jul 2020 07:52:35 +0200

golang-github-shenwei356-bpool (0.0~git20160710.f9e0ee4-1) unstable; urgency=medium

  * Initial release (Closes: #963934)

 -- Andreas Tille <tille@debian.org>  Mon, 29 Jun 2020 09:07:15 +0200
