=== debian/control ===
Source: golang-github-shenwei356-bpool
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-shenwei356-bpool
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-shenwei356-bpool.git
Homepage: https://github.com/shenwei356/bpool
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/shenwei356/bpool

Package: golang-github-shenwei356-bpool-dev
Architecture: all
Depends: ${misc:Depends}
Description: Buffer/Byte pool for Go (library)
 This library implements leaky pools of byte arrays and Buffers as bounded
 channels.  It is based on the leaky buffer example from the Effective
 .
 Bpool provides the following pool types:
 .
  BufferPool: fixed-size pool of bytes.Buffers
  BytePool:   fixed-size pool of byte slices with a pre-set width
  SizedBufferPool: alternative to BufferPool that pre-sizes the
              capacity of buffers issued from the pool and discards
              buffers that have grown too large upon return.
 .
 A common use case for this package is to use buffers
 to execute HTML templates against (via ExecuteTemplate) or encode JSON
 into (via json.NewEncoder). This allows you to catch any rendering
 or marshalling errors prior to writing to a http.ResponseWriter,
 which helps to avoid writing incomplete or malformed data to the
 response.
